Create Tenant
const url = 'https://api.exolink.cloud/user/example/tenant';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"password":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.exolink.cloud/user/example/tenant \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "password": "example", "name": "example" }'Create a new tenant owned by the user
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”User ID
Request Bodyrequired
Section titled “Request Bodyrequired”object
The user’s password, confirming the request
Tenant name
Example generated
{ "password": "example", "name": "example"}Responses
Section titled “Responses”Tenant created successfully
object
Unique identifier for the tenant
Tenant display name
Unique domain prefix for the tenant (used in URLs and subdomains)
WebSocket connection URL for IoT/OCPP
WebSocket URLs of every fully configured (COMPLETE) custom domain
When the tenant was created
When the tenant was last updated
When the tenant was deleted (null if active)
Example
{ "id": 1, "name": "My Company", "domainPrefix": "abc123", "connectUrl": "wss://abc123.broker.exolink.cloud/", "customDomains": [ "wss://chargers.company.com/", "wss://ocpp.company.com/" ]}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Validation or verification failed
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Missing parameter: displayName", "errorCode": "ERR_API_VALIDATION_FAILED"}